#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire1800seven4xi .py">
#<abstract4xi abstract = "fires to direction seven and to distance 1800"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire1800seven4xi ']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SEVEN - COORDINATE SIGNS OF SHOOT2SEVEN4XI: (X - ,Y - ,Z + )
# -------------------------------------------------------------------------------------------------    
global shot2seven18004xi

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False
shot2seven18004xi = {
                1:'-1042x-1054y1019z',
                2:'-1053x-1300y662z',
                3:'-1076x-1442y40z',
                4:'-1088x-991y1034z',
                5:'-1115x-1238y679z',
                6:'-1131x-927y1049z',
                7:'-1150x-1383y58z',
                8:'-1169x-860y1063z',
                9:'-1173x-1173y696z',
                10:'-119x-899y1554z',
                11:'-1204x-792y1078z',
                12:'-1220x-1320y76z',
                13:'-1228x-1105y712z',
                14:'-1234x-722y1092z',
                15:'-1260x-651y1106z',
                16:'-1278x-1035y729z',
                17:'-1283x-580y1121z',
                18:'-1287x-1254y94z',
                19:'-1301x-508y1135z',
                20:'-1315x-435y1149z',
                21:'-1325x-363y1162z',
                22:'-1325x-962y745z',
                23:'-1330x-291y1176z',
                24:'-1350x-1184y112z',
                25:'-1367x-888y762z',
                26:'-1405x-811y778z',
                27:'-1409x-1111y130z',
                28:'-1439x-733y794z',
                29:'-1464x-1035y148z',
                30:'-1468x-653y810z',
                31:'-1492x-572y826z',
                32:'-1512x-491y842z',
                33:'-1515x-956y165z',
                34:'-1528x-409y858z',
                35:'-1539x-327y874z',
                36:'-1545x-244y890z',
                37:'-1547x-162y905z',
                38:'-1562x-875y183z',
                39:'-158x-1595y818z',
                40:'-1604x-791y201z',
                41:'-163x-876y1563z',
                42:'-1641x-705y219z',
                43:'-1673x-617y237z',
                44:'-16x-17y1799z',
                45:'-1701x-528y255z',
                46:'-1724x-438y273z',
                47:'-17x-256y1781z',
                48:'-181x-1726y475z',
                49:'-205x-851y1572z',
                50:'-240x-1576y834z',
                51:'-245x-824y1580z',
                52:'-25x-938y1536z',
                53:'-270x-1709y492z',
                54:'-27x-32y1799z',
                55:'-282x-795y1589z',
                56:'-28x-237y1783z',
                57:'-318x-765y1597z',
                58:'-320x-1553y850z',
                59:'-350x-733y1606z',
                60:'-358x-1688y509z',
                61:'-36x-48y1798z',
                62:'-37x-218y1786z',
                63:'-380x-699y1614z',
                64:'-399x-1526y866z',
                65:'-408x-664y1622z',
                66:'-433x-629y1629z',
                67:'-43x-65y1798z',
                68:'-445x-1662y527z',
                69:'-455x-592y1637z',
                70:'-45x-198y1788z',
                71:'-475x-555y1644z',
                72:'-476x-1494y882z',
                73:'-492x-517y1651z',
                74:'-49x-82y1797z',
                75:'-4x-275y1778z',
                76:'-4x-4y1799z',
                77:'-503x-92y1725z',
                78:'-507x-480y1658z',
                79:'-50x-179y1790z',
                80:'-514x-122y1720z',
                81:'-518x-442y1665z',
                82:'-524x-154y1715z',
                83:'-528x-404y1672z',
                84:'-530x-1631y544z',
                85:'-531x-187y1709z',
                86:'-534x-366y1679z',
                87:'-536x-221y1703z',
                88:'-538x-329y1685z',
                89:'-539x-256y1697z',
                90:'-53x-101y1796z',
                91:'-540x-292y1691z',
                92:'-54x-159y1792z',
                93:'-550x-1459y898z',
                94:'-55x-120y1795z',
                95:'-55x-139y1793z',
                96:'-612x-1596y561z',
                97:'-622x-1420y913z',
                98:'-687x-580y1558z',
                99:'-691x-1377y929z',
                100:'-693x-1557y578z',
                101:'-704x-533y1567z',
                102:'-705x-660y1635z',
                103:'-718x-487y1576z',
                104:'-729x-441y1585z',
                105:'-737x-394y1593z',
                106:'-73x-920y1545z',
                107:'-743x-348y1601z',
                108:'-745x-303y1610z',
                109:'-74x-1609y802z',
                110:'-758x-1331y944z',
                111:'-771x-1513y595z',
                112:'-821x-1281y959z',
                113:'-846x-1465y612z',
                114:'-882x-1229y974z',
                115:'-918x-1414y629z',
                116:'-91x-1738y457z',
                117:'-920x-1547y4z',
                118:'-939x-1173y989z',
                119:'-987x-1359y646z',
                120:'-992x-1115y1004z',
                121:'-999x-1496y22z',
                122:'0x-1745y440z'}         
#"
#/>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire1800seven4xi " usage = "target function for charge2seven4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire1800seven4xi (queue2seven, consumer_channel2seven, publisher_channel2seven):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE1800SEVEN4XI - STARTED TIME: ", time2start)
        #  
        
        print("\n (STEP 1A2/33) OF FIRE1800SEVEN4XI -  QUEUE2SEVEN: ", queue2seven)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE1800SEVEN4XI -  CONSUMER_CHANNEL2SEVEN: ", consumer_channel2seven)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE1800SEVEN4XI -  PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE1800SEVEN4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2seven.put(shot2seven18004xi) 
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE1800SEVEN4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE1800SEVEN4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE1800SEVEN4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2seven8shot2seven18004xi </ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2seven8shot2seven18004xi </nack2put4xi>" 
            
        publisher_channel2seven.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE1800SEVEN4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE1800SEVEN4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE1800SEVEN4XI - RETURNING QUEUE OBJECT QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi())  
        # 
            
    return queue2seven    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire1800seven4xi .py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

       